Package com.google.android.exoplayer2.robolectric

## Class ShadowMediaCodecConfig

- java.lang.Object
- - org.junit.rules.ExternalResource
  - - com.google.android.exoplayer2.robolectric.ShadowMediaCodecConfig

- All Implemented Interfaces:
    `org.junit.rules.TestRule`

      public final class ShadowMediaCodecConfig
      extends org.junit.rules.ExternalResource

  A JUnit @Rule to configure Roboelectric's `ShadowMediaCodec`.

  Registers a `ShadowMediaCodec.CodecConfig` for each audio/video MIME type known by ExoPlayer.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShadowMediaCodecConfig()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `after()` |
    `protected void` | `before()` |
    `static ShadowMediaCodecConfig` | `forAllSupportedMimeTypes()` |

    - ### Methods inherited from class org.junit.rules.ExternalResource

      `apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadowMediaCodecConfig

          public ShadowMediaCodecConfig()

  - ### Method Detail

    - #### forAllSupportedMimeTypes

          public static ShadowMediaCodecConfig forAllSupportedMimeTypes()

    - #### before

          protected void before()
                         throws Throwable

      Overrides:
        `before` in class `org.junit.rules.ExternalResource`
      Throws:
        `Throwable`

    - #### after

          protected void after()

      Overrides:
        `after` in class `org.junit.rules.ExternalResource`